> ## Documentation Index
> Fetch the complete documentation index at: https://developer.breakcold.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Update a reminder



## OpenAPI

````yaml /v3/api-reference/openapi.json patch /reminders/{id}
openapi: 3.0.3
info:
  title: Breakcold OpenAPI
  version: 3.1.0
servers:
  - url: https://api.breakcold.com/rest
security: []
externalDocs:
  url: https://developer.breakcold.com
paths:
  /reminders/{id}:
    patch:
      tags:
        - Reminders
      summary: Update a reminder
      operationId: reminder-update
      parameters:
        - in: path
          name: id
          schema:
            type: string
          required: true
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                id_lead:
                  type: string
                name:
                  type: string
                  minLength: 1
                  maxLength: 255
                date:
                  type: string
                  format: date-time
                cron:
                  anyOf:
                    - type: string
                      nullable: true
                    - type: string
                      pattern: >-
                        ^(\*|([0-5]?[0-9])) (\*|([01]?[0-9]|2[0-3]))
                        (\*|([01]?[0-9]|2[0-3]|3[01])) (\*|([1-9]|1[012]))
                        (\*|([0-6]))(\s?(\*|([0-5]?[0-9]))){0,2}$
                is_done:
                  type: boolean
                users:
                  type: array
                  items:
                    type: string
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                type: object
                properties:
                  id:
                    type: string
                    format: uuid
                  date:
                    type: string
                    nullable: true
                  name:
                    type: string
                    nullable: true
                  cron:
                    type: string
                    nullable: true
                  cron_id:
                    type: string
                    nullable: true
                  created_at:
                    type: string
                  updated_at:
                    type: string
                    nullable: true
                  is_deleted:
                    type: boolean
                  is_done:
                    type: boolean
                  ressource_link:
                    type: string
                    nullable: true
                  ai_generated:
                    type: boolean
                    nullable: true
                  ai_action_channel:
                    type: string
                    nullable: true
                  ai_action_description:
                    type: string
                    nullable: true
                  ai_action_priority:
                    type: string
                    nullable: true
                  ai_action_reasoning:
                    type: string
                    nullable: true
                  ai_time_precision:
                    type: string
                    nullable: true
                  ai_followup_strategy:
                    type: string
                    nullable: true
                  ai_action_rationale:
                    type: string
                    nullable: true
                  ai_draft_subject:
                    type: string
                    nullable: true
                  ai_draft_message:
                    type: string
                    nullable: true
                  ai_draft_metadata:
                    type: string
                    nullable: true
                  id_lead:
                    type: string
                    nullable: true
                  id_space:
                    type: string
                    nullable: true
                required:
                  - id
                  - date
                  - name
                  - cron
                  - cron_id
                  - created_at
                  - updated_at
                  - is_deleted
                  - is_done
                  - ressource_link
                  - ai_generated
                  - ai_action_channel
                  - ai_action_description
                  - ai_action_priority
                  - ai_action_reasoning
                  - ai_time_precision
                  - ai_followup_strategy
                  - ai_action_rationale
                  - ai_draft_subject
                  - ai_draft_message
                  - ai_draft_metadata
                  - id_lead
                  - id_space
                additionalProperties: true
        '400':
          description: Invalid input data
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/error.BAD_REQUEST'
        '401':
          description: Authorization not provided
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/error.UNAUTHORIZED'
        '403':
          description: Insufficient access
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/error.FORBIDDEN'
        '404':
          description: Not found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/error.NOT_FOUND'
        '500':
          description: Internal server error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/error.INTERNAL_SERVER_ERROR'
      security:
        - Authorization: []
components:
  schemas:
    error.BAD_REQUEST:
      type: object
      properties:
        message:
          type: string
          description: The error message
          example: Invalid input data
        code:
          type: string
          description: The error code
          example: BAD_REQUEST
        issues:
          type: array
          items:
            type: object
            properties:
              message:
                type: string
            required:
              - message
          description: An array of issues that were responsible for the error
          example: []
      required:
        - message
        - code
      title: Invalid input data error (400)
      description: The error information
      example:
        code: BAD_REQUEST
        message: Invalid input data
        issues: []
    error.UNAUTHORIZED:
      type: object
      properties:
        message:
          type: string
          description: The error message
          example: Authorization not provided
        code:
          type: string
          description: The error code
          example: UNAUTHORIZED
        issues:
          type: array
          items:
            type: object
            properties:
              message:
                type: string
            required:
              - message
          description: An array of issues that were responsible for the error
          example: []
      required:
        - message
        - code
      title: Authorization not provided error (401)
      description: The error information
      example:
        code: UNAUTHORIZED
        message: Authorization not provided
        issues: []
    error.FORBIDDEN:
      type: object
      properties:
        message:
          type: string
          description: The error message
          example: Insufficient access
        code:
          type: string
          description: The error code
          example: FORBIDDEN
        issues:
          type: array
          items:
            type: object
            properties:
              message:
                type: string
            required:
              - message
          description: An array of issues that were responsible for the error
          example: []
      required:
        - message
        - code
      title: Insufficient access error (403)
      description: The error information
      example:
        code: FORBIDDEN
        message: Insufficient access
        issues: []
    error.NOT_FOUND:
      type: object
      properties:
        message:
          type: string
          description: The error message
          example: Not found
        code:
          type: string
          description: The error code
          example: NOT_FOUND
        issues:
          type: array
          items:
            type: object
            properties:
              message:
                type: string
            required:
              - message
          description: An array of issues that were responsible for the error
          example: []
      required:
        - message
        - code
      title: Not found error (404)
      description: The error information
      example:
        code: NOT_FOUND
        message: Not found
        issues: []
    error.INTERNAL_SERVER_ERROR:
      type: object
      properties:
        message:
          type: string
          description: The error message
          example: Internal server error
        code:
          type: string
          description: The error code
          example: INTERNAL_SERVER_ERROR
        issues:
          type: array
          items:
            type: object
            properties:
              message:
                type: string
            required:
              - message
          description: An array of issues that were responsible for the error
          example: []
      required:
        - message
        - code
      title: Internal server error error (500)
      description: The error information
      example:
        code: INTERNAL_SERVER_ERROR
        message: Internal server error
        issues: []
  securitySchemes:
    Authorization:
      type: apiKey
      in: header
      name: X-API-KEY

````